> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicle RC-Advanced

> The Vehicle Registration Verification API helps to establish a link between the vehicle and its owner, thereby minimizing the potential for fraud. Alongside vehicle basic details, this API also provides vehicle insurer details and many more.
    



## OpenAPI

````yaml GET /v1/verification/rc-advanced
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/verification/rc-advanced:
    get:
      tags:
        - KYC APIs
      summary: Rc Advanced Verification
      description: >-
        The Vehicle Registration Verification API helps to establish a link
        between the vehicle and its owner, thereby minimizing the potential for
        fraud. Alongside vehicle basic details, this API also provides vehicle
        insurer details and many more.
            
      operationId: RC_Advanced_Verification_v1_verification_rc_advanced_get
      parameters:
        - required: true
          schema:
            title: Rc Number
            type: string
            description: >-
              The rc_number query parameter is used to specify the RC number for
              advanced verification.
          name: rc_number
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response 200 - RC Verified / Invalid RC Number
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_200_SUCCESSFUL
                  - $ref: >-
                      #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_200_INVALID_RC
              examples:
                200 - Success:
                  summary: RC verified successfully
                  value:
                    code: 200
                    timestamp: 1738007863555
                    transaction_id: 7c71390513b348eca6c5164a8a313844
                    sub_code: SUCCESS
                    message: RC Verified Successfully.
                    data:
                      rc_number: MH02BY2727
                      registration_date: '2010-03-30'
                      owner_name: M/S ARBAAZ KHAN PRODUCTION P LTD
                      father_name: NOT APPLICABLE
                      present_address: >-
                        1-2 CORAL REEF CHS LTD 55 CHIMBAI, RD BANDRA W, MUMBAI,
                        , Maharashtra, 400050
                      permanent_address: >-
                        1-2 CORAL REEF CHS LTD 55 CHIMBAI, RD BANDRA W, MUMBAI,
                        , Maharashtra, 400050
                      mobile_number: ''
                      vehicle_category: LMV
                      vehicle_chasi_number: SALLMAM23AA314132
                      vehicle_engine_number: 0406774368DT
                      maker_description: JAGUAR LAND ROVER INDIA LIMITED
                      maker_model: RANGE ROVER SPORTS 3.6 TD V8
                      body_type: SALOON
                      fuel_type: DIESEL
                      color: A WHITE
                      fit_up_to: '2025-03-29'
                      financer: HDFC BANK LTD
                      financed: true
                      insurance_company: Tata AIG General Insurance Co. Ltd.
                      insurance_policy_number: '62035646240000'
                      insurance_upto: '2025-10-10'
                      manufacturing_date: 3/2009
                      manufacturing_date_formatted: 2009-03
                      registered_at: MUMBAI (WEST)
                      latest_by: '2025-01-28'
                      rc_status: ACTIVE
                200 - Invalid RC Number:
                  summary: Invalid RC number
                  value:
                    code: 200
                    timestamp: 1738007863371
                    transaction_id: 37159057b0494fbd846b75837e84809f
                    sub_code: INVALID_RC_NUMBER
                    message: Invalid RC Number.
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_400_INACTIVE_CLIENT
              examples:
                400 - Inactive Client:
                  summary: Inactive client_id
                  value:
                    detail: Inactive client_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_401_UNAUTHENTICATED
              examples:
                401 - Not Authenticated:
                  summary: Not authenticated
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_403_ACCESS_FORBIDDEN
              examples:
                403 - Invalid Token:
                  summary: Invalid token
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_422_INVALID_PATTERN
              examples:
                422 - Invalid RC Pattern:
                  summary: Invalid RC pattern
                  value:
                    code: 422
                    timestamp: 1738039208921
                    transaction_id: f7a756205b5241ab9ad1b97e7ddd77cf
                    sub_code: INVALID_INPUT
                    message: Invalid RC Pattern.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_500_INTERNAL_SERVER_ERROR
              examples:
                500 - Internal Server Error:
                  summary: Internal server error
                  value:
                    detail: Internal Server Error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_VEHICLE_RC_ADVANCED_503_SOURCE_UNAVAILABLE
              examples:
                503 - Source Unavailable:
                  summary: Source unavailable
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: Source Unavailable
components:
  schemas:
    RESPONSE_VEHICLE_RC_ADVANCED_200_SUCCESSFUL:
      title: RC Verified
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SUCCESS
        message:
          title: Message
          type: string
          default: RC Verified Successfully.
        data:
          title: Data
          type: object
          properties:
            rc_number:
              title: RC Number
              type: string
            registration_date:
              title: Registration Date
              type: string
            owner_name:
              title: Owner Name
              type: string
            father_name:
              title: Father Name
              type: string
            present_address:
              title: Present Address
              type: string
            permanent_address:
              title: Permanent Address
              type: string
            mobile_number:
              title: Mobile Number
              type: string
            vehicle_category:
              title: Vehicle Category
              type: string
            vehicle_chasi_number:
              title: Vehicle Chassis Number
              type: string
            vehicle_engine_number:
              title: Vehicle Engine Number
              type: string
            maker_description:
              title: Maker Description
              type: string
            maker_model:
              title: Maker Model
              type: string
            body_type:
              title: Body Type
              type: string
            fuel_type:
              title: Fuel Type
              type: string
            color:
              title: Color
              type: string
            fit_up_to:
              title: Fit Up To
              type: string
            financer:
              title: Financer
              type: string
            financed:
              title: Financed
              type: boolean
            insurance_company:
              title: Insurance Company
              type: string
            insurance_policy_number:
              title: Insurance Policy Number
              type: string
            insurance_upto:
              title: Insurance Upto
              type: string
            manufacturing_date:
              title: Manufacturing Date
              type: string
            manufacturing_date_formatted:
              title: Manufacturing Date Formatted
              type: string
            registered_at:
              title: Registered At
              type: string
            latest_by:
              title: Latest By
              type: string
            rc_status:
              title: RC Status
              type: string
    RESPONSE_VEHICLE_RC_ADVANCED_200_INVALID_RC:
      title: Invalid RC Number
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_RC_NUMBER
        message:
          title: Message
          type: string
          default: Invalid RC Number.
    RESPONSE_VEHICLE_RC_ADVANCED_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_VEHICLE_RC_ADVANCED_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_VEHICLE_RC_ADVANCED_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_VEHICLE_RC_ADVANCED_422_INVALID_PATTERN:
      title: Invalid RC Pattern
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 422
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_INPUT
        message:
          title: Message
          type: string
          default: Invalid RC Pattern.
    RESPONSE_VEHICLE_RC_ADVANCED_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Internal Server Error
    RESPONSE_VEHICLE_RC_ADVANCED_503_SOURCE_UNAVAILABLE:
      title: Source Unavailable
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Source Unavailable
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.